=== include/CMakeLists.txt ===
ADD_SUBDIRECTORY(2.3.6)

CONFIGURE_FILE(med.h.in ${CMAKE_CURRENT_BINARY_DIR}/med.h @ONLY)
CONFIGURE_FILE(med_utils.h.in ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h @ONLY)
FILE(TO_NATIVE_PATH "${CMAKE_C_COMPILER}" C_COMPILER_FILE)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/configmed.py" MY_MED_CONFIG_GENERATOR)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/med_config.h" MY_MED_CONFIG_H)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/2.3.6/med_config.h" MY_MED_CONFIG_H2)
EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} "${MY_MED_CONFIG_GENERATOR}" ${C_COMPILER_FILE} "${MED_NUM_MAJEUR}.${MED_NUM_MINEUR}.${MED_NUM_RELEASE}" "${MY_MED_CONFIG_H}")
EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} "${MY_MED_CONFIG_GENERATOR}" ${C_COMPILER_FILE} "${MED_NUM_MAJEUR}.${MED_NUM_MINEUR}.${MED_NUM_RELEASE}" "${MY_MED_CONFIG_H2}")

SET(medC_HEADERS_H
  ${CMAKE_CURRENT_BINARY_DIR}/med.h
  ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h
  med_err.h
  med_exit_if.h
  med_proto.h
  medC_win_dll.h
  MEDerreur.hxx
)

SET(medF_HEADERS_H
  med.hf    
  med.hf77
  med.hf90
  med_parameter.hf
)

INSTALL(FILES ${medC_HEADERS_H} DESTINATION include)
INSTALL(FILES ${medF_HEADERS_H} DESTINATION include)
