=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
)

SET(ci236_SOURCES
  2.3.6/ci/MEDchampCr.c
  2.3.6/ci/MEDchampEcr.c
  2.3.6/ci/MEDchampInfo.c
  2.3.6/ci/MEDchampRefInfo.c
  2.3.6/ci/MEDconnEcr.c
  2.3.6/ci/MEDconnLire.c
  2.3.6/ci/MEDcoordEcr.c
  2.3.6/ci/MEDcoordLire.c
  2.3.6/ci/MEDdemonter.c
  2.3.6/ci/MEDdimEspaceCr.c
  2.3.6/ci/MEDdimEspaceLire.c
  2.3.6/ci/MEDdimLire.c
  2.3.6/ci/MEDelementsEcr.c
  2.3.6/ci/MEDelementsLire.c
  2.3.6/ci/MEDequivCr.c
  2.3.6/ci/MEDequivEcr.c
  2.3.6/ci/MEDequivInfo.c
  2.3.6/ci/MEDequivLire.c
  2.3.6/ci/MEDfamCr.c
  2.3.6/ci/MEDfamEcr.c
  2.3.6/ci/MEDfamInfo.c
  2.3.6/ci/MEDfamLire.c
  2.3.6/ci/MEDfermer.c
  2.3.6/ci/MEDfichDesEcr.c
  2.3.6/ci/MEDfichEntete.c
  2.3.6/ci/MEDformatConforme.c
  2.3.6/ci/MEDgaussEcr.c
  2.3.6/ci/MEDgaussInfo.c
  2.3.6/ci/MEDgaussLire.c
  2.3.6/ci/MEDgro2famCr.c
  2.3.6/ci/MEDindicesCoordEcr.c
  2.3.6/ci/MEDindicesCoordLire.c
  2.3.6/ci/MEDjointEcr.c
  2.3.6/ci/MEDjointLire.c
  2.3.6/ci/MEDjointCr.c
  2.3.6/ci/MEDjointInfo.c
  2.3.6/ci/MEDjointnCorres.c
  2.3.6/ci/MEDjointTypeCorres.c
  2.3.6/ci/MEDlFichDes.c
  2.3.6/ci/MEDglobalNumEcr.c
  2.3.6/ci/MEDglobalNumLire.c
  2.3.6/ci/MEDlienEcr.c
  2.3.6/ci/MEDlienInfo.c
  2.3.6/ci/MEDlienLire.c
  2.3.6/ci/MEDmaaCr.c
  2.3.6/ci/MEDmaaInfo.c
  2.3.6/ci/MEDmonter.c
  2.3.6/ci/MEDnAttribut.c
  2.3.6/ci/MEDnatureGrilleEcr.c
  2.3.6/ci/MEDnatureGrilleLire.c
  2.3.6/ci/MEDnbnoisEcr.c
  2.3.6/ci/MEDnbnoisLire.c
  2.3.6/ci/MEDnbnomaEcr.c
  2.3.6/ci/MEDnbnomaLire.c
  2.3.6/ci/MEDnbnosoEcr.c
  2.3.6/ci/MEDnbnosoLire.c
  2.3.6/ci/MEDnChamp.c
  2.3.6/ci/MEDnChampRef.c
  2.3.6/ci/MEDnCorres.c
  2.3.6/ci/MEDnEntites.c
  2.3.6/ci/MEDnEntMaa.c
  2.3.6/ci/MEDnEquiv.c
  2.3.6/ci/MEDnFam.c
  2.3.6/ci/MEDnGauss.c
  2.3.6/ci/MEDnGroupe.c
  2.3.6/ci/MEDnJoint.c
  2.3.6/ci/MEDnLien.c
  2.3.6/ci/MEDnMaa.c
  2.3.6/ci/MEDnoeudsEcr.c
  2.3.6/ci/MEDnoeudsLire.c
  2.3.6/ci/MEDnomEcr.c
  2.3.6/ci/MEDnomLire.c
  2.3.6/ci/MEDnPasdetemps.c
  2.3.6/ci/MEDnProfil.c
  2.3.6/ci/MEDnScalaire.c
  2.3.6/ci/MEDnScalairePasdeTemps.c
  2.3.6/ci/MEDnumEcr.c
  2.3.6/ci/MEDnumLire.c
  2.3.6/ci/MEDnVal.c
  2.3.6/ci/MEDnValLien.c
  2.3.6/ci/MEDnValProfil.c
  2.3.6/ci/MEDouvrir.c
  2.3.6/ci/MEDpasdetempsInfo.c
  2.3.6/ci/MEDpolyedreConnEcr.c
  2.3.6/ci/MEDpolyedreConnLire.c
  2.3.6/ci/MEDpolyedreInfo.c
  2.3.6/ci/MEDpolygoneConnEcr.c
  2.3.6/ci/MEDpolygoneConnLire.c
  2.3.6/ci/MEDpolygoneInfo.c
  2.3.6/ci/MEDprofilEcr.c
  2.3.6/ci/MEDprofilInfo.c
  2.3.6/ci/MEDprofilLire.c
  2.3.6/ci/MEDscalaireCr.c
  2.3.6/ci/MEDscalaireEntierEcr.c
  2.3.6/ci/MEDscalaireEntierLire.c
  2.3.6/ci/MEDscalaireFlottantEcr.c
  2.3.6/ci/MEDscalaireFlottantLire.c
  2.3.6/ci/MEDscalaireInfo.c
  2.3.6/ci/MEDscalairePasdetempsInfo.c
  2.3.6/ci/MEDstructureCoordEcr.c
  2.3.6/ci/MEDstructureCoordLire.c
  2.3.6/ci/MEDunvCr.c
  2.3.6/ci/MEDunvLire.c
  2.3.6/ci/MEDversionConforme.c
  2.3.6/ci/MEDversionDonner.c
  2.3.6/ci/MEDversionLire.c
  2.3.6/ci/MEDchampLire.c
  2.3.6/ci/MEDchampEcr231.c
  2.3.6/ci/MEDchampEcr232.c
  2.3.6/ci/MEDjointCr231.c
  2.3.6/ci/MEDjointCr232.c
  2.3.6/ci/MEDfamCr231.c
  2.3.6/ci/MEDfamCr232.c
  2.3.6/ci/MEDchampEcr233.c
  )

SET(ci23v30_SOURCES
  2.3.6/ci/MED23v30axesInfo.c
  )

SET(misc236_SOURCES
  2.3.6/misc/MEDnomEntite.c
  2.3.6/misc/MEDnomGeometrie.c
  2.3.6/misc/MEDnomGeometrie30.c
  2.3.6/misc/MEDnomDataset.c
  2.3.6/misc/MEDparametresGeometrie.c
  2.3.6/misc/MEDGeometrieElement.c
  2.3.6/misc/MEDcheckVersion.c
  2.3.6/misc/MEDversionedApi.cxx
  2.3.6/misc/MEDversionedApiC.c
  )

SET(hdfi236_SOURCES
  2.3.6/hdfi/MEDattrStringEcrire.c
  2.3.6/hdfi/MEDattrNumEcrire.c
  2.3.6/hdfi/MEDdatasetNumEcrire231.c
  2.3.6/hdfi/MEDdatasetNumEcrire232.c
  2.3.6/hdfi/MEDdatasetNumEcrire.c
  2.3.6/hdfi/MEDdatasetNumLire231.c
  2.3.6/hdfi/MEDdatasetNumLire232.c
  2.3.6/hdfi/MEDdatasetNumLire.c
  2.3.6/hdfi/MEDdatasetStringEcrire.c
  2.3.6/hdfi/MEDdatasetStringLire.c
  2.3.6/hdfi/MEDfichierCreer.c
  2.3.6/hdfi/MEDfichierOuvrir.c
  2.3.6/hdfi/MEDindiceInfo.c
  2.3.6/hdfi/MEDindiceNum.c
  2.3.6/hdfi/MEDnObjets.c
  2.3.6/hdfi/MEDobjetIdentifer.c
  )

SET(med236_SOURCES 2.3.6/MEDaffiche.c)

SET(ci_SOURCES
  ci/MEDmeshGeotypeName.c
  ci/MEDmeshGeotypeParameter.c
  ci/MEDmeshNodeCoordinateTrsfWr.c
  ci/MEDmeshNodeCoordinateTrsfRd.c
  ci/MEDfieldInterpInfo.c
  ci/MEDfieldnInterp.c
  ci/MEDfieldInterpWr.c
  ci/MEDinterpCr.c
  ci/MEDinterpBaseFunctionWr.c
  ci/MEDnInterp.c
  ci/MEDinterpInfoByName.c
  ci/MEDinterpInfo.c
  ci/MEDinterpBaseFunctionRd.c
  ci/MEDinterpBaseFunctionCoeffSize.c
  ci/MEDlibraryNumVersion.c
  ci/MEDlibraryStrVersion.c
  ci/MEDlibraryHdfNumVersion.c
  ci/MEDlibraryHdfStrVersion.c
  ci/MEDlibraryClose.c
  ci/MEDfileOpen.c
  ci/MEDfileClose.c
  ci/MEDfileCommentWr.c
  ci/MEDfileCommentRd.c
  ci/MEDfileCompatibility.c
  ci/MEDfileNumVersionRd.c
  ci/MEDfileStrVersionRd.c
  ci/MEDfileObjectsMount.c
  ci/MEDfileObjectsUnmount.c
  ci/MEDnProfile.c
  ci/MEDprofileInfo.c
  ci/MEDprofileWr.c
  ci/MEDprofileSizeByName.c
  ci/MEDprofileRd.c
  ci/MEDfilterEntityCr.c
  ci/MEDfilterBlockOfEntityCr.c
  ci/_MEDfieldValueAdvancedWr30.c
  ci/MEDfieldValueAdvancedWr.c
  ci/MEDfieldValueWithProfileWr.c
  ci/MEDfieldValueWr.c
  ci/_MEDfieldValueAdvancedRd30.c
  ci/_MEDfieldValueAdvancedRd236.c
  ci/MEDfieldValueAdvancedRd.c
  ci/MEDfieldValueWithProfileRd.c
  ci/MEDfieldValueRd.c
  ci/MEDfieldCr.c
  ci/MEDnField.c
  ci/MEDfieldnComponent.c
  ci/MEDfieldnComponentByName.c
  ci/MEDfieldInfo.c
  ci/MEDfieldInfoByName.c
  ci/MEDfieldComputingStepInfo.c
  ci/MEDfieldComputingStepMeshInfo.c
  ci/MEDfieldComputingStepMeshWr.c
  ci/MEDfieldnProfile.c
  ci/_MEDfieldnValue.c
  ci/MEDfieldnValueWithProfileByName.c
  ci/MEDfieldnValueWithProfile.c
  ci/MEDfieldnValue.c
  ci/MEDlocalizationWr.c
  ci/MEDlocalizationRd.c
  ci/MEDnLocalization.c
  ci/MEDlocalizationInfo.c
  ci/MEDlocalizationInfoByName.c
  ci/MEDlinkWr.c
  ci/MEDlinkRd.c
  ci/MEDnLink.c
  ci/MEDlinkInfoByName.c
  ci/MEDlinkInfo.c
  ci/_MEDmeshCr.c
  ci/MEDmeshCr.c
  ci/MEDsupportMeshCr.c
  ci/_MEDmeshInfoByName.c
  ci/MEDmeshInfoByName.c
  ci/MEDsupportMeshInfoByName.c
  ci/MEDmeshInfo.c
  ci/MEDsupportMeshInfo.c
  ci/MEDnMesh.c
  ci/MEDnSupportMesh.c
  ci/MEDsupportMeshnAxis.c
  ci/MEDsupportMeshnAxisByName.c
  ci/MEDmeshGridTypeWr.c
  ci/MEDmeshGridTypeRd.c
  ci/MEDmeshGridIndexCoordinateWr.c
  ci/MEDmeshGridIndexCoordinateRd.c
  ci/MEDmeshGridStructWr.c
  ci/MEDmeshGridStructRd.c
  ci/MEDmeshUniversalNameWr.c
  ci/MEDmeshUniversalNameRd.c
  ci/MEDmeshAttributeWr.c
  ci/MEDmeshAttributeRd.c
  ci/MEDmeshComputationStepCr.c
  ci/MEDmeshComputationStepInfo.c
  ci/MEDmeshComputationStepDtRd.c
  ci/MEDmeshNodeCoordinateWr.c
  ci/MEDmeshNodeCoordinateWithProfileWr.c
  ci/MEDmeshNodeCoordinateAdvancedWr.c
  ci/MEDmeshElementConnectivityAdvancedWr.c
  ci/MEDmeshElementConnectivityWithProfileWr.c
  ci/MEDmeshElementConnectivityWr.c
  ci/MEDmeshNodeCoordinateRd.c
  ci/MEDmeshNodeCoordinateWithProfileRd.c
  ci/MEDmeshNodeCoordinateAdvancedRd.c
  ci/MEDmeshElementConnectivityAdvancedRd.c
  ci/MEDmeshElementConnectivityWithProfileRd.c
  ci/MEDmeshElementConnectivityRd.c
  ci/_MEDmeshnEntity.c
  ci/MEDmeshnEntityWithProfile.c
  ci/MEDmeshnEntity.c
  ci/MEDmeshNodeWr.c
  ci/MEDmeshNodeRd.c
  ci/MEDmeshElementWr.c
  ci/MEDmeshElementRd.c
  ci/MEDfilterAllocate.c
  ci/MEDfilterDeAllocate.c
  ci/MEDfilterClose.c
  ci/_MEDmeshAdvancedWr.c
  ci/_MEDmeshAdvancedRd.c
  ci/MEDmeshEntityNameWr.c
  ci/MEDmeshEntityNumberWr.c
  ci/MEDmeshEntityFamilyNumberWr.c
  ci/MEDmeshEntityNameRd.c
  ci/MEDmeshEntityNumberRd.c
  ci/MEDmeshEntityFamilyNumberRd.c
  ci/MEDmeshnAxis.c
  ci/MEDmeshnAxisByName.c
  ci/MEDmeshPolygonWr.c
  ci/MEDmeshPolygonRd.c
  ci/MEDmeshPolyhedronWr.c
  ci/MEDmeshPolyhedronRd.c
  ci/MEDfamilyCr.c
  ci/MEDnFamily.c
  ci/MEDnFamilyGroup.c
  ci/MEDfamilyInfo.c
  ci/MEDnFamily23Attribute.c
  ci/_MEDnFamily23Attribute236.c
  ci/_MEDnFamily23Attribute30.c
  ci/MEDfamily23Info.c
  ci/_MEDfamily23Info236.c
  ci/_MEDfamily23Info30.c
  ci/_MEDmeshAssociatedGroupCr.c
  ci/MEDmeshSortingTypeRd.c
  ci/MEDnEquivalence.c
  ci/MEDequivalenceCr.c
  ci/MEDequivalenceInfo.c
  ci/MEDequivalenceComputingStepInfo.c
  ci/MEDequivalenceCorrespondenceWr.c
  ci/MEDequivalenceCorrespondenceRd.c
  ci/MEDequivalenceCorrespondenceSizeInfo.c
  ci/MEDequivalenceCorrespondenceSize.c
  ci/MEDsubdomainJointCr.c
  ci/MEDnSubdomainJoint.c
  ci/MEDsubdomainJointInfo.c
  ci/MEDsubdomainCorrespondenceWr.c
  ci/MEDsubdomainComputingStepInfo.c
  ci/MEDsubdomainCorrespondenceSizeInfo.c
  ci/MEDsubdomainCorrespondenceSize.c
  ci/MEDsubdomainCorrespondenceRd.c
  ci/MEDmeshGlobalNumberWr.c
  ci/MEDmeshGlobalNumberRd.c
  ci/MEDstructElementCr.c
  ci/MEDstructElementConstAttWithProfileWr.c
  ci/MEDstructElementConstAttWr.c
  ci/MEDnStructElement.c
  ci/MEDstructElementInfoByName.c
  ci/MEDstructElementInfo.c
  ci/MEDstructElementConstAttInfoByName.c
  ci/MEDstructElementConstAttInfo.c
  ci/MEDstructElementConstAttRd.c
  ci/MEDstructElementAttSizeof.c
  ci/MEDstructElementVarAttCr.c
  ci/MEDstructElementVarAttInfoByName.c
  ci/MEDstructElementVarAttInfo.c
  ci/MEDmeshStructElementVarAttWr.c
  ci/MEDmeshStructElementVarAttRd.c
  ci/MEDstructElementName.c
  ci/MEDstructElementGeotype.c
  ci/_MEDmeshDatagroupOpen.c
  ci/MEDparameterCr.c
  ci/MEDnParameter.c
  ci/MEDparameterInfo.c
  ci/MEDparameterInfoByName.c
  ci/MEDparameterValueWr.c
  ci/MEDparameterValueRd.c
  ci/MEDparameterComputationStepInfo.c
  ci/MEDmeshEntityAttributeAdvancedWr.c
  ci/MEDmeshEntityAttributeAdvancedRd.c
  ci/MEDmeshEntityInfo.c
  ci/_MEDmeshInfoByName30.c
  ci/_MEDmeshnAxisByName30.c
  ci/_MEDmeshUniversalNameRd30.c
  ci/_MEDmeshnEntity30.c
  ci/_MEDmeshInfoByName236.c
  ci/_MEDmeshnAxisByName236.c
  ci/_MEDmeshUniversalNameRd236.c
  ci/_MEDmeshnEntity236.c
  ci/_MEDmeshAdvancedRd30.c
  ci/_MEDmeshAdvancedRd236.c
  ci/_MEDfilterEntityCr30.c
  ci/_MEDfilterEntityCr236.c
  ci/_MEDnFamily30.c
  ci/_MEDnFamily236.c
  ci/_MEDnFamilyGroup30.c
  ci/_MEDnFamilyGroup236.c
  ci/_MEDlinkRd30.c
  ci/_MEDlinkRd236.c
  ci/_MEDfieldComputingStepInfo30.c
  ci/_MEDfieldComputingStepInfo236.c
  ci/_MEDfieldComputingStepMeshInfo30.c
  ci/_MEDfieldComputingStepMeshInfo236.c
  ci/_MEDfieldComputingStepCheck236.c
  ci/_MEDfieldInfoByName30.c
  ci/_MEDfieldInfoByName236.c
  ci/_MEDfieldnProfile30.c
  ci/_MEDfieldnProfile236.c
  ci/_MEDfieldnValue30.c
  ci/_MEDfieldnValue236.c
  ci/_MEDprofileRd30.c
  ci/_MEDprofileRd236.c
  ci/_MEDlocalizationRd30.c
  ci/_MEDlocalizationRd236.c
  ci/_MEDlocalizationInfoByName30.c
  ci/_MEDlocalizationInfoByName236.c
  ci/_MEDnEquivalence30.c
  ci/_MEDnEquivalence236.c
  ci/_MEDequivalenceInfo30.c
  ci/_MEDequivalenceInfo236.c
  ci/_MEDequivalenceCorrespondenceSize30.c
  ci/_MEDequivalenceCorrespondenceSize236.c
  ci/_MEDequivalenceCorrespondenceRd30.c
  ci/_MEDequivalenceCorrespondenceRd236.c
  ci/_MEDequivalenceComputingStepInfo30.c
  ci/_MEDequivalenceComputingStepInfo236.c
  ci/_MEDequivalenceCorrespondenceSizeInfo30.c
  ci/_MEDequivalenceCorrespondenceSizeInfo236.c
  ci/_MEDmeshComputationStepInfo30.c
  ci/_MEDmeshComputationStepInfo236.c
  ci/_MEDmeshGridIndexCoordinateRd30.c
  ci/_MEDmeshGridIndexCoordinateRd236.c
  ci/_MEDnSubdomainJoint30.c
  ci/_MEDnSubdomainJoint236.c
  ci/_MEDsubdomainJointInfo30.c
  ci/_MEDsubdomainJointInfo236.c
  ci/_MEDsubdomainCorrespondenceSize30.c
  ci/_MEDsubdomainCorrespondenceSize236.c
  ci/_MEDsubdomainCorrespondenceRd30.c
  ci/_MEDsubdomainCorrespondenceRd236.c
  ci/_MEDsubdomainComputingStepInfo30.c
  ci/_MEDsubdomainComputingStepInfo236.c
  ci/_MEDsubdomainCorrespondenceSizeInfo30.c
  ci/_MEDsubdomainCorrespondenceSizeInfo236.c
  ci/_MEDparameterInfoByName30.c
  ci/_MEDparameterInfoByName236.c
  ci/_MEDparameterValueRd30.c
  ci/_MEDparameterValueRd236.c
  ci/_MEDfileCommentRd30.c
  ci/_MEDfileCommentRd236.c
  ci/_MEDfileObjectsMount30.c
  ci/_MEDfileObjectsMount236.c
  ci/_MEDfileObjectsUnmount30.c
  ci/_MEDfileObjectsUnmount236.c
  ci/_MEDfield23ComputingStepMeshInfo30.c
