=== tools/mdump/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(mdump_SOURCES mdump.c MED23meshIterators.c MED23fieldIterators.c)
ADD_EXECUTABLE(mdump ${mdump_SOURCES})
SET(mdump_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(mdump_COMPILE_CFLAGS ${mdump_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(mdump "${mdump_COMPILE_CFLAGS}")
TARGET_LINK_LIBRARIES(mdump medC)
INSTALL(TARGETS mdump DESTINATION bin)
