=== tools/medconforme/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(medconforme_SOURCES medconforme.c)
ADD_EXECUTABLE(medconforme ${medconforme_SOURCES})
SET(medconforme_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(medconforme_COMPILE_CFLAGS ${medconforme_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(medconforme "${medconforme_COMPILE_CFLAGS}")
TARGET_LINK_LIBRARIES(medconforme medC)
INSTALL(TARGETS medconforme DESTINATION bin)
