=== debian/changelog ===
med-fichier (3.0.6-9build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:22:32 +0000

med-fichier (3.0.6-9) unstable; urgency=medium

  * [b5c67e0] Fix wrong dependency on libmedc1.
  * [454f9a2] Remove all Conflicts.
  * [bdf5c53] Do not hardcode tk-version.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 19:54:27 +0200

med-fichier (3.0.6-8) unstable; urgency=medium

  * [8e33e7d] Set Standards-Version: 3.9.6. No changes.
  * [289a3b7] Renambe libmed*-libraries due to GCC-5 transition.
              (Closes: #791200)
  * [713e703] Apply cme fix dpkg-control.
  * [6a08e88] Update autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Aug 2015 19:34:51 +0200

med-fichier (3.0.6-7) unstable; urgency=medium

  * [0548f1d] Set minimal hdf5 version 1.8.13+docs-12.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Sep 2014 18:32:24 +0200

med-fichier (3.0.6-6) unstable; urgency=medium

  [ Arthur Marble ]
  * [ff1dec0] Fix FTBFS with clang. (Closes: #751174)

  [ Anton Gladky ]
  * [f9f364c] Fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 21:39:55 +0200

med-fichier (3.0.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756678).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 17:56:12 +0200

med-fichier (3.0.6-5) unstable; urgency=medium

  * [e70adff] Fix autotests.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 10:38:10 +0200

med-fichier (3.0.6-4) unstable; urgency=medium

  * [11910a4] Update autotest.
  * [9b7e17a] Add 2 more autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 16:16:55 +0200

med-fichier (3.0.6-3) unstable; urgency=medium

  [ Christophe Trophime ]
  * [e027393] Replace obsolete OMPI_MCA_plm_rsh_agent
  * [b328c8a] Fix running tests with openmpi 1.6.4

  [ Adam Conrad ]
  * [2f90c13] debian/patches/ppc64el-support.patch: Add ppc64el support.

  [ Anton Gladky ]
  * [1d6038c] Bump Standards-Versison: 3.9.5. No changes.
  * [92bb6fb] Use autoreconf. (Closes: #744629)
  * [62adfe2] Fix hdf5 linkage.
  * [149c48e] Do not break package building if autotest fails.
  * [56c09dd] Add autotest.
  * [9b4cd20] Ignore quilt dir.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Apr 2014 21:23:35 +0200

med-fichier (3.0.6-2) unstable; urgency=low

  * [a8dd404] Use autotools_dev for dh-rules. (Closes: #727456)
  * [4ff1a89] Disable autotests on some archs.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Oct 2013 17:53:41 +0200

med-fichier (3.0.6-1) unstable; urgency=low

  [ Sergei Golovan ]
  * [1d72885] Switch from tk8.4 to tk dependencies. (Closes: #725337)

  [ Anton Gladky ]
  * [07b1279] Imported Upstream version 3.0.6. (Closes: #659960)
  * [f6142f8] Remove all old patches.
  * [540f803] Use cmake for build.
  * [e55a11a] Add mpi-default-dev and mpi-default-bin to BD.
  * [ab59d3e] Add a workaround to start MPI-applications in chroot.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Oct 2013 20:38:21 +0200

med-fichier (3.0.3-5) unstable; urgency=low

  * [42214bd] Disable tests on some platforms.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 07:52:00 +0200

med-fichier (3.0.3-4) unstable; urgency=low

  * [ef4dc10] Remove README.source.
  * [fa31282] Use compat-level 9.
  * [d6e4193] Remove obsolete DM-Upload-Allowed flag.
  * [e4d4401] Use canonical VCS-field.
  * [a67e7b0] Bumped Standards-Version 3.9.4. No changes.
  * [c46fe2d] Update/simpify debian/rules.
  * [ae2ab2d] Disable failing tests.
  * [2238f3f] Set multiarched paths in libraries.
  * [133b58b] Use autoreconf.
  * [ff9144a] Add myself to uploaders.
  * [084ec48] Add multi-arch sections in debian/control
  * [b8ea3be] Use DEP-5 for copyright file.
  * [24f5fb0] Use wrap-and-source.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Oct 2013 19:45:49 +0200
