=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --parallel --with autoreconf

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  HDF5_CPPFLAGS := -I/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) -DOMPI_SKIP_MPICXX=1 -DMPICH_SKIP_MPICXX=1
  HDF5_LDFLAGS := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
endif

export OMPI_MCA_orte_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/$(ARCH_DEFAULT_MPI_IMPL) $(HDF5_CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed $(HDF5_LDFLAGS)

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/tmp/usr/bin/test* \
         $(CURDIR)/debian/tmp/usr/bin/usescases \
         $(CURDIR)/debian/tmp/usr/bin/unittests

override_dh_auto_test:
	dh_auto_test || true
